\begin{figure}[htbp]
	\pgfplotsset{width=0.7\linewidth, height=5cm}
	\centering
	\begin{tikzpicture}

	\begin{loglogaxis}[
	legend pos = north west,
	]
	\addplot table[x={Threads}, y={Ad-hoc-KNL}, col sep={comma}] {figs/results/graficas/speedup-florencia-var.csv};
	\addlegendentry{\textit{Ad-hoc} KNL}

	\addplot table[x={Threads}, y={Eigen-KNL}, col sep={comma}] {figs/results/graficas/speedup-florencia-var.csv};
	\addlegendentry{Eigen KNL}

	\addplot table[x={Threads}, y={Eigen-i5}, col sep={comma}] {figs/results/graficas/speedup-florencia-var.csv};
	\addlegendentry{Eigen i5}

	\addplot table[x={Threads}, y={Ad-hoc-i5}, col sep={comma}] {figs/results/graficas/speedup-florencia-var.csv};
	\addlegendentry{\textit{Ad-hoc} i5}

	\addplot [color=black, no marks] coordinates {
		(1,1)
		(2,2)
		(4,4)
		(8,8)
		(16,16)
		(32,32)
		(68,68)
		(136,136)
		(272,272)
	};
	\addlegendentry{Ideal}
	\end{loglogaxis}

	\end{tikzpicture}
	\caption{\textit{Speedup} en el tratamiento de la imagen \texttt{florencia} mediante el método variacional.}
	\label{fig:speedup-comparativa-var-florencia}
\end{figure}
